-- ========================================================================================================
-- VIEW: PROD_ENTR_REF  (BUSCA AS NOTAS DE ENTRADA POR PRODUTO E FILIAL, COMO REFERNCIA PARA BUSCAR A
-- ENTRADA CORRESPONDENTE A SADA DE UM PRODUTO NA APURAO DE COMPLEMENTO E RESSARCIMENTO DO ICMS ST )
-- ========================================================================================================
CREATE OR REPLACE FORCE VIEW PROD_ENTR_REF (CHAVE, CDFILIAL, NRLANCTONF, CDPRODUTO, QTITEMPROD, VRCONTITEM, VRST, CDFILIRECE,
                                            CDMODDOCFISC, CDSERIEENTR, NRNOTAFISC, DTENTRSAID, CDARVPROD, NRACESSONFE)
AS
   SELECT NF.CDFILIAL||NF.NRLANCTONF AS CHAVE, NF.CDFILIAL, NF.NRLANCTONF, PR.CDPRODUTO,
          SUM(ROUND(IP.QTITEMPROD*NVL(PN.VRFATOCONV,1),3)) AS QTITEMPROD, SUM(IP.VRCONTITEM) AS VRCONTITEM,
          SUM(NVL(VALOR_IMPOSTO_ITEM_NFE(IP.CDFILIAL,IP.NRLANCTONF,IP.NRSEQITPROD,'80','I'),0) + NVL(VRENCARGOIMPXML,0)) AS VRST,
          NF.CDFILIRECE, NF.CDMODDOCFISC, NF.CDSERIEENTR, NF.NRNOTAFISC, NF.DTENTRSAID, PR.CDARVPROD, NF.NRACESSONFE
     FROM NOTAFISCAL NF,  ITEMPRODUTO IP, PRODUTO PR, PRODUTO PN
    WHERE NF.CDFILIAL   = IP.CDFILIAL
      AND NF.NRLANCTONF = IP.NRLANCTONF
      AND NF.IDENTRSAIDOP = 'E'
      AND IP.CDPRODUTO = PN.CDPRODUTO
      AND PN.CDPRODESTO = PR.CDPRODESTO
      AND PR.CDPRODUTO = PR.CDPRODESTO
    GROUP BY NF.CDFILIAL, NF.NRLANCTONF, PR.CDPRODUTO, NF.CDFILIRECE, NF.CDMODDOCFISC, NF.CDSERIEENTR,
          NF.NRNOTAFISC, NF.DTENTRSAID, PR.CDARVPROD, NF.NRACESSONFE
/

--VERSO--
BEGIN ATUVEROBJ('PROD_ENTR_REF','0.00.000'); END;
/
