CREATE OR replace FUNCTION DES_ISS_REG_ESP_TRIBUT(
   P_CDEMPRESA   IN EMPRESA.CDEMPRESA%TYPE,
   P_CDINSCMUNI  IN INSCRMUNICIP.CDINSCMUNI%TYPE) RETURN VARCHAR2
AS
   V_REG_ESP_TRIBUT  VARCHAR2(50);
   V_REG_ESP_EMPR    VARCHAR2(2);
   BEGIN
  /*VERIFICA O REGIME ESPECIAL DE TRIBUTAO DA EMPRESA*/
   SELECT IDREGESPTRIBEMP
     INTO V_REG_ESP_EMPR
     FROM EMPRESA E, INSCRMUNICIP I
    WHERE E.CDEMPRESA  = I.CDEMPRESA
      AND I.CDINSCMuNI = P_CDINSCMUNI
      AND E.CDEMPRESA  = P_CDEMPRESA;
  /*RETORNA O CDIGO DO REGIME ESPECIAL DE TRIBUTAO PARA DES*/
   CASE V_REG_ESP_EMPR
        WHEN '99' THEN V_REG_ESP_TRIBUT := '1';  /*Regra Geral*/
        WHEN '01' THEN V_REG_ESP_TRIBUT := '1';  /*Regra Geral*/
        WHEN '02' THEN V_REG_ESP_TRIBUT := '2';  /*Regime de Estimativa*/
        WHEN '03' THEN V_REG_ESP_TRIBUT := '3';  /*SPL - Sociedade de Profissionais Liberais*/
        WHEN '04' THEN V_REG_ESP_TRIBUT := '4';  /*Cooperativa*/
        WHEN '12' THEN V_REG_ESP_TRIBUT := '5';  /*No disponvel na DES 3.0*/
        WHEN '11' THEN V_REG_ESP_TRIBUT := '6';  /*Construo Civil*/
        WHEN '07' THEN V_REG_ESP_TRIBUT := '7';  /*Propaganda e Publicidade/Intermediao*/
        WHEN '08' THEN V_REG_ESP_TRIBUT := '8';  /*Agenciamento de Turismo/Administrao de Fundos*/
        WHEN '06' THEN V_REG_ESP_TRIBUT := '9';  /*ME ou EPP optante pelo Simples Nacional*/
        WHEN '05' THEN V_REG_ESP_TRIBUT := '10'; /*MEI  Microempreendedor Individual*/
        WHEN '09' THEN V_REG_ESP_TRIBUT := '11'; /*Vendas/Transporte Intermunicipal*/
        WHEN '10' THEN V_REG_ESP_TRIBUT := '12'; /*No Incidncia */

   END CASE;
   RETURN V_REG_ESP_TRIBUT;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('DES_ISS_REG_ESP_TRIBUT','5.30.000'); END;
/
