CREATE OR REPLACE TRIGGER LOG_SUP_USR_NRSEQAPUR_TMP
AFTER INSERT OR UPDATE OR DELETE
ON USR_NRSEQAPUR_TMP FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(1500);
  V_ITPESQ       VARCHAR2(80);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);

BEGIN
   /* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   V_DESC         := '';
   V_ITPESQ       := '';
   V_NMOPERADOR   := '';
   V_IDTIPOOPER   := '';
   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);

   IF UPDATING THEN
      IF (NVL(:OLD.NRSEQAPUR, '') <> NVL(:NEW.NRSEQAPUR, '')) THEN
         V_DESC := V_DESC || 'Apuracao: ' ||''||NVL(:NEW.NRSEQAPUR, '');
      END IF;
      V_ITPESQ       := :NEW.NRSEQAPUR;
      V_IDTIPOOPER   := '2';
   ELSE
      IF INSERTING THEN
         V_DESC   :=       'Apuracao: '            ||''  || NVL(:NEW.NRSEQAPUR, '');

         V_ITPESQ       := :NEW.NRSEQAPUR;
         V_IDTIPOOPER   := '1';
      ELSE
         IF DELETING THEN
            V_DESC  :=     'Apuracao: '            ||''  || NVL(:OLD.NRSEQAPUR, '');

            V_ITPESQ         := :OLD.NRSEQAPUR;
            V_IDTIPOOPER     := '3';
         END IF;
      END IF;
   END IF;
   IF (V_DESC IS NOT NULL)   THEN
      V_DESC := SUBSTR(V_DESC, 1, 400);
      INSERT INTO LOGOPERA
         (NMTABELA,
          DTOPERACAO,
          NMRESPOPER,
          IDTIPOOPER,
          DSOPERACAO,
          CDPESQITEM,
          DSRDMUSUOPER,
          DSENDUSUOPER,
          DSNMUSUOPER,
          DSMETUSUOPER,
          CDORESPOPER)
      VALUES
         ('USR_NRSEQAPUR_TMP',
          SYSDATE,
          NVL(V_NMOPERADOR,' '),
          V_IDTIPOOPER,
          V_DESC,
          V_ITPESQ,
          V_DSSERVERRDM,
          V_DSREMOTEADDR,
          V_DSREMOTEHOST,
          V_DSSERVMETHOD,
          V_DSREMOTEOPER);
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_SUP_USR_NRSEQAPUR_TMP','6.05.XXX'); END;
/